Sunday, October 11, 2015

trying to overwrite ... which is also in package ... Sub-process /usr/bin/dpkg returned an error code (1)

Problem:
dpkg: error processing archive /var/cache/apt/archives/libffi-dev_3.1~rc1+r3.0.13-12_amd64.deb (--unpack):
 trying to overwrite '/usr/share/info/libffi.info.gz', which is also in package xrdp 0.9.0+master
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for doc-base (0.10.5) ...
Processing triggers for install-info (5.2.0.dfsg.1-2) ...
Errors were encountered while processing:
 /var/cache/apt/archives/libffi-dev_3.1~rc1+r3.0.13-12_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Solution:
$ sudo dpkg -i --force-overwrite /var/cache/apt/archives/libffi-dev_3.1~rc1+r3.0.13-12_amd64.deb

1 comment:

Keijo D. Putt said...

Letsencrypt-auto complained because X11RDP-o-Matic had the package taken over.
This switch on dpkg worked to circumvent that.

Followers